La compatibilité de la version 5.5 de PHP n'étant plus assurée par la communauté, nous vous recommandons vivement d'utiliser l'environnement d'exécution PHP 7 pour toute nouvelle application.

Migrer vers le SDK Cloud

Le SDK App Engine autonome est obsolète depuis le 30 juillet 2019 et ne peut plus être téléchargé depuis le 30 août 2020. Le tableau suivant répertorie les fonctionnalités obsolètes et les alternatives recommandées :

Obsolète Action recommandée
SDK App Engine autonome Télécharger le SDK Cloud
Commandes appcfg Passer de AppCfg à la ligne de commande gcloud

Calendrier de migration

30 juillet 2019 : les outils basés sur le SDK App Engine autonome sont obsolètes.

30 août 2020 : le SDK App Engine autonome n'est plus disponible en téléchargement et, s'il est utilisé, est susceptible de ne pas fonctionner.

30 août 2020: Google met un terme à l'assistance pour le SDK App Engine autonome.

Fonctions non rétrocompatibles

Du fait de l'obsolescence de l'outil appcfg et du SDK App Engine autonome, les fonctionnalités suivantes sont actuellement incompatibles avec le SDK Cloud :